> ## Documentation Index
> Fetch the complete documentation index at: https://developers.getswipe.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Update inventory stock



## OpenAPI

````yaml post /v2/inventory/stock
openapi: 3.0.1
info:
  title: SwipeAPI
  description: Partner API
  version: '2.0'
servers:
  - url: https://app.getswipe.in/api/partner
security:
  - bearerAuth: []
tags:
  - name: Document
    description: Document related operations
  - name: Customer
    description: Customer related operations
  - name: Payment
    description: Payment related operations
  - name: Product
    description: Product related operations
  - name: Utility
    description: Generic operations
  - name: Subscriptions
    description: Subscriptions related operations
  - name: Document V2
    description: Document related operations
  - name: Customer V2
    description: Customer related operations
  - name: Payment V2
    description: Payment related operations
  - name: Product V2
    description: Product related operations
  - name: Subscriptions V2
    description: Subscriptions related operations
  - name: Utility V2
    description: Generic operations
  - name: Vendor V2
    description: Vendor related operations
  - name: EwayBill
    description: EwayBill related operations
  - name: Inventory V2
    description: Inventory related operations
paths:
  /v2/inventory/stock:
    post:
      tags:
        - Inventory V2
      summary: Update inventory stock
      operationId: post_inventory
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InventoryV2'
        required: true
      responses:
        '200':
          description: Success Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InventoryV2Response'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InventoryV2Response'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InventoryV2Response'
components:
  schemas:
    InventoryV2:
      required:
        - action
        - product_id
        - quantity
        - warehouse_id
      properties:
        product_id:
          type: string
          description: Product ID
          example: '123456'
        quantity:
          type: number
          description: Opening Quantity
          example: 1
        warehouse_id:
          type: integer
          description: Warehouse ID
          example: -1
        remarks:
          type: string
          description: Remarks
          example: Remarks
        record_date:
          type: string
          description: Record Date (DD-MM-YYYY)
          example: 06-05-2025
        action:
          type: string
          description: Stock in or stock out
          example: in
          enum:
            - in
            - out
      type: object
    InventoryV2Response:
      properties:
        success:
          type: boolean
          description: Success
          example: false
        errors:
          type: object
          description: Error details
        error_code:
          type: string
          description: Error Code
          example: ''
        message:
          type: string
          description: Message
          example: ''
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer authentication header of the form Bearer <token>, where <token>
        is your auth token.

````